Subscription
Get Subscription Discounts
List all subscription discounts.
Get all subscription discounts for all subscription tiers.
https://v1.apifansly.com/api/fansly
GET
/{account_id}/subscriptions/discounts
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
curl -X GET "https://v1.apifansly.com/api/fansly/{account_id}/subscriptions/discounts" \
-H "x-api-key: YOUR_API_KEY"fetch("https://v1.apifansly.com/api/fansly/{account_id}/subscriptions/discounts", {
method: "GET",
headers: {
"x-api-key": "YOUR_API_KEY"
}
})import requests
url = "https://v1.apifansly.com/api/fansly/{account_id}/subscriptions/discounts"
headers = {
"x-api-key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://v1.apifansly.com/api/fansly/{account_id}/subscriptions/discounts"))
.header("x-api-key", "YOUR_API_KEY")
.GET()
.build();
client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join();using System.Net.Http;
using System.Threading.Tasks;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var response = await client.GetAsync("https://v1.apifansly.com/api/fansly/{account_id}/subscriptions/discounts");
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);package main
import (
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{account_id}/subscriptions/discounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}Path Parameters
account_id*
stringThe unique identifier for the connected account.
Response
{
"statusCode": 200,
"message": "Success",
"data": {
"status_code": 200,
"data": {
"success": true,
"response": [
{
"id": "discount_id_string",
"type": 1,
"label": "",
"accountId": "account_id_string",
"code": "discount_code_string",
"planId": "plan_id_string",
"status": 1,
"price": 0,
"original_price": 4900,
"paymentMethodRequired": 0,
"duration": 99,
"maxUses": 100,
"uses": 1,
"newSubscribersOnly": 0,
"version": 3,
"createdAt": "timestamp_in_ms",
"startsAt": "timestamp_in_ms",
"endsAt": "timestamp_in_ms"
}
]
}
},
"timestamp": "2026-06-18T18:17:44.442Z"
}